## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:		mmdebstrap
Version:	1.5.7
Release:	%autorelease
Summary:	Create a Debian chroot

License:	MIT
URL:		https://gitlab.mister-muffin.de/josch/mmdebstrap/
Source0:	http://deb.debian.org/debian/pool/main/m/mmdebstrap/mmdebstrap_%{version}.orig.tar.gz
Source1:        %{name}.tmpfiles

BuildRequires:	perl-generators /usr/bin/pod2man help2man python3 systemd-rpm-macros sed
Requires:	apt
Recommends:     arch-test gnupg2 perl-distro-info dpkg-perl /bin/mount shadow-utils-subid shadow-utils
Suggests:       apt-utils ca-certificates debootstrap distro-info-data dpkg-dev fakechroot fakeroot e2fsprogs libarchive perl-doc qemu-user qemu-user-static qemu-user-binfmt squashfs-tools-ng ncompress bzip2 lzop lz4 xz zstd

BuildArch: noarch

%description
Downloads, unpacks and installs Debian packages to either directly create a
directory which can be chrooted into, or a tarball of it. In contrast to
debootstrap it uses apt, supports more than one mirror, automatically uses
security and updates mirrors for Debian stable chroots, is 3-6 times faster,
produces smaller output by removing unnecessary cruft, is bit-by-bit
reproducible if $SOURCE_DATE_EPOCH is set, allows unprivileged operation using
Linux user namespaces or fakechroot and can setup foreign architecture chroots
using qemu-user.


%prep
%autosetup -n %{name}


%build
sed -i -e 's#/usr/lib/apt#%{_libexecdir}/apt#g' \
    hooks/eatmydata/extract.sh \
    proxysolver \
    mmdebstrap
pod2man mmdebstrap > mmdebstrap.1
pod2man mmdebstrap-autopkgtest-build-qemu > ./mmdebstrap-autopkgtest-build-qemu.1
ln tarfilter mmtarfilter
help2man --no-info --name "filter a tarball like dpkg does" --version-string="%{version}" ./mmtarfilter > mmtarfilter.1


%install
install -D -t %{buildroot}%{_bindir} mmdebstrap mmdebstrap-autopkgtest-build-qemu mmtarfilter
install -D proxysolver %{buildroot}%{_libexecdir}/apt/solvers/mmdebstrap-dump-solution
install -d %{buildroot}%{_datarootdir}/%{name}
cp -r hooks %{buildroot}%{_datarootdir}/%{name}/
install -D -t %{buildroot}%{_libexecdir}/%{name} gpgvnoexpkeysig ldconfig.fakechroot
install -D -m644 %SOURCE1 %{buildroot}%{_tmpfilesdir}/%{name}.conf
install -D -m644 -t %{buildroot}%{_mandir}/man1/ *.1


%files
%doc README.md
%doc examples
%{_bindir}/mmdebstrap
%{_bindir}/mmtarfilter
%{_bindir}/mmdebstrap-autopkgtest-build-qemu
%{_datarootdir}/%{name}
%{_libexecdir}/%{name}
%{_libexecdir}/apt/solvers/mmdebstrap-dump-solution
%{_tmpfilesdir}/%{name}.conf
%{_mandir}/man1/mmdebstrap*.1*
%{_mandir}/man1/mmtarfilter.1*


%changelog
## START: Generated by rpmautospec
* Tue Jun 24 2025 Thomas Schneider <qsx@chaotikum.eu> - 1.5.7-1
- Initial packaging
## END: Generated by rpmautospec
